# MySQL-Front Dump 2.5
#
# Host: 192.168.2.5   Database: monitor
# --------------------------------------------------------
# Server version 4.0.15-Max


#
# Table structure for table 'admin_users'
#

DROP TABLE IF EXISTS admin_users;
CREATE TABLE admin_users (
  id int(10) unsigned NOT NULL auto_increment,
  a_name varchar(255) default NULL,
  a_pass varchar(255) default NULL,
  a_admin tinyint(1) unsigned default '0',
  a_mail varchar(255) default NULL,
  login_pass varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'admin_users'
#

INSERT INTO admin_users VALUES("1", "Admin", "", "1", "deine@mail.de", "");


#
# Table structure for table 'dme'
#

DROP TABLE IF EXISTS dme;
CREATE TABLE dme (
  num int(11) NOT NULL auto_increment,
  adresse varchar(12) NOT NULL default '0',
  sub smallint(6) NOT NULL default '0',
  text text NOT NULL,
  bezeichnung varchar(255) NOT NULL default '',
  REC_TYP varchar(10) NOT NULL default '',
  zeit timestamp(14) NOT NULL,
  funktion varchar(255) default NULL,
  PRIMARY KEY  (num)
) TYPE=MyISAM;



#
# Dumping data for table 'dme'
#



#
# Table structure for table 'formatierung'
#

DROP TABLE IF EXISTS formatierung;
CREATE TABLE formatierung (
  id int(10) unsigned NOT NULL auto_increment,
  bg_farbe varchar(10) default NULL,
  bg_farbe_text varchar(10) NOT NULL default '',
  text_farbe varchar(10) default NULL,
  text_groesse tinyint(2) unsigned NOT NULL default '0',
  text_farbe_text varchar(10) NOT NULL default '',
  text_groesse_text tinyint(2) unsigned NOT NULL default '0',
  text_format varchar(10) default NULL,
  beschreibung varchar(255) default NULL,
  UNIQUE KEY id (id)
) TYPE=MyISAM;



#
# Dumping data for table 'formatierung'
#

INSERT INTO formatierung VALUES("1", "green", "#CCCCCC", "white", "13", "black", "11", "bold", "KTW im Kreis");
INSERT INTO formatierung VALUES("2", "red", "#CCCCCC", "white", "13", "black", "11", "bold", "FF im Kreis");
INSERT INTO formatierung VALUES("3", "green", "#CCCCCC", "white", "13", "black", "11", "normal", "KTW auerhalb");
INSERT INTO formatierung VALUES("4", "red", "#CCCCCC", "white", "13", "black", "11", "normal", "FF auerhalb");
INSERT INTO formatierung VALUES("5", "blue", "#CCCCCC", "white", "13", "black", "11", "bold", "THW im kreis");
INSERT INTO formatierung VALUES("6", "blue", "#CCCCCC", "white", "13", "black", "11", "normal", "THW auerhalb");
INSERT INTO formatierung VALUES("7", "#CC9900", "#CCCCCC", "white", "13", "black", "11", "bold", "sontige im kreis");
INSERT INTO formatierung VALUES("8", "#CC9900", "#CCCCCC", "white", "13", "black", "11", "normal", "sonstige auerhalb");
INSERT INTO formatierung VALUES("9", "green", "#CCCCCC", "#FF8000", "13", "black", "11", "bold", "NEF-RTW im kreis");
INSERT INTO formatierung VALUES("10", "green", "#CCCCCC", "brown", "13", "black", "11", "normal", "NEF-RTW auerhalb");
INSERT INTO formatierung VALUES("11", "#00CCFF", "#CCCCCC", "#0033CC", "12", "black", "10", "bold", "RD ZVEI im kreis");
INSERT INTO formatierung VALUES("12", "magenta", "#CCCCCC", "darkblue", "12", "black", "10", "bold", "FF ZVEI im kreis");


#
# Table structure for table 'kfz_fms'
#

DROP TABLE IF EXISTS kfz_fms;
CREATE TABLE kfz_fms (
  id int(10) unsigned NOT NULL auto_increment,
  kennung varchar(10) default NULL,
  bezeichnung varchar(255) default NULL,
  status tinyint(2) unsigned NOT NULL default '0',
  status_zeit timestamp(14) NOT NULL,
  org_id int(10) unsigned default '0',
  UNIQUE KEY id (id)
) TYPE=MyISAM;



#
# Dumping data for table 'kfz_fms'
#



#
# Table structure for table 'organisation'
#

DROP TABLE IF EXISTS organisation;
CREATE TABLE organisation (
  id int(10) unsigned NOT NULL auto_increment,
  org_name varchar(255) default NULL,
  org char(3) default NULL,
  UNIQUE KEY id (id)
) TYPE=MyISAM;



#
# Dumping data for table 'organisation'
#



#
# Table structure for table 'pocsag_logins'
#

DROP TABLE IF EXISTS pocsag_logins;
CREATE TABLE pocsag_logins (
  id int(10) unsigned NOT NULL auto_increment,
  name varchar(255) default NULL,
  zeit time default '00:00:00',
  datum date default '0000-00-00',
  ip varchar(255) default NULL,
  agent varchar(255) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;



#
# Dumping data for table 'pocsag_logins'
#



#
# Table structure for table 'ric_zvei'
#

DROP TABLE IF EXISTS ric_zvei;
CREATE TABLE ric_zvei (
  id int(10) unsigned NOT NULL auto_increment,
  adresse varchar(12) NOT NULL default '0',
  bezeichnung varchar(255) NOT NULL default '',
  rec_typ varchar(10) default NULL,
  formatierung_id int(10) unsigned default NULL,
  org_id int(10) unsigned default '0',
  UNIQUE KEY id (id)
) TYPE=MyISAM;



#
# Dumping data for table 'ric_zvei'
#



#
# Table structure for table 'status'
#

DROP TABLE IF EXISTS status;
CREATE TABLE status (
  num int(11) NOT NULL auto_increment,
  kennung varchar(10) default NULL,
  status smallint(6) default NULL,
  richtung smallint(6) default NULL,
  bezeichnung varchar(100) NOT NULL default '',
  text text NOT NULL,
  zeit timestamp(14) NOT NULL,
  done tinyint(1) unsigned default '0',
  PRIMARY KEY  (num)
) TYPE=MyISAM;



#
# Dumping data for table 'status'
#

